HongKong Class Reference
Date and time calculations » Calendars

Hong Kong calendars. More...

`#include <ql/time/calendars/hongkong.hpp>`

Inheritance diagram for HongKong:
[legend]

## Public Types

enum | Market { HKEx }

## Public Member Functions

| HongKong (Market m=HKEx)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members

Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Hong Kong calendars.

Holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Good Friday
- Easter Monday
- Labor Day, May 1st (possibly moved to Monday)
- SAR Establishment Day, July 1st (possibly moved to Monday)
- National Day, October 1st (possibly moved to Monday)
- Christmas, December 25th
- Boxing Day, December 26th

Other holidays for which no rule is given (data available for 2004-2015 only:)

- Lunar New Year
- Chinese New Year
- Ching Ming Festival
- Buddha's birthday
- Tuen NG Festival
- Mid-autumn Festival
- Chung Yeung Festival

Data from http://www.hkex.com.hk

## Member Enumeration Documentation

## Market

enum Market

Enumerator
HKEx | Hong Kong stock exchange.